function DATAinsert = cellMakerRSNHR(IDcentralina,DTcatena,NodeNum,cRSNHR,ListaDate,...
    ErrRSNLinkHR,ARRAYdateRSNHR,AlfaX_HR,AlfaY_HR,TempDef_RSNHR)

AlfaX_HR=AlfaX_HR';
AlfaY_HR=AlfaY_HR';
TempDef_RSNHR = TempDef_RSNHR';
l = ListaDate;
DATAinsert = cell(l,9);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateRSNHR(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateRSNHR(ii),'HH:MM:SS');
    DATAinsert{ii,6} = AlfaX_HR(cRSNHR,ii);
    DATAinsert{ii,7} = AlfaY_HR(cRSNHR,ii);
    DATAinsert{ii,8} = TempDef_RSNHR(cRSNHR,ii);
    DATAinsert{ii,9} = ErrRSNLinkHR(cRSNHR,ii);
end

end